#include <stdio.h>

struct Ekskurzija
{
	int bruc;
	long int brba;
	int brg;

};
struct Ekskurzija e[10];


main()
{
    int i,j,t,br_po_grupi,ost,sum=0;

    scanf("%d",&t);

    for(i=0;i<t;i++)
    {
        scanf("%d %d %d",&e[i].bruc,&e[i].brba,&e[i].brg);
    }

    for(i=0;i<t;i++)
    {
        sum=0;

        ost=e[i].bruc%e[i].brg;
        br_po_grupi=(e[i].bruc-ost)/e[i].brg;
        for(j=0;j<=br_po_grupi;j++)
        {
            sum=sum+j;
        }
        if((sum*e[i].brg)+((sum+j+1)*ost)<=e[i].brba)
        {
            printf("Tak\n");
        }
        if((sum*e[i].brg)+((sum+j+1)*ost)>e[i].brba)
        {
            printf("Nie\n");
        }
    }
}